-- This must return true for most cheats to function
function CheatsEnabled()
    return true
end

local function InitCheats()
    -- Turn on editor mode (this is required for cheats to work) and then add the editor commands
    Platform.editor = true
    Platform.dev = true
    AddCheatsUA()

    -- Add a command to show/hide the cheats menu and demo how to add a whole new menu and menu item
    UserActions.AddActions({
        ["G_ToggleCheatsMenu"] = {
            mode = "Game",
            key = "F2",
            action = function()
                UAMenu.ToggleOpen()

                -- Also toggle the infopanel cheats to show/hide with the menu
                config.BuildingInfopanelCheats = not not dlgUAMenu
                ReopenSelectionXInfopanel()
            end
        },
        ["G_AboutCheatsMenu"] = {
            mode = "Game",
            menu = "[999]Help/[1]About",
            action = function()
                CreateRealTimeThread(WaitCustomPopupNotification,
                    "About Cheats",
                    "This mod enables the built-in cheats menu. Take a look at the mod code to see how to add additional menus and menu items like this about dialog.",
                    { "OK" }
                )
            end
        },
        ["G_Resources"] = {
            mode = "Game",
            menu = "[998]Resources/[1]Add_Drone_Prefabs",
            action = function()
                UICity.drone_prefabs = UICity.drone_prefabs + 100
                CreateRealTimeThread(AddCustomOnScreenNotification(
                  {T{"drone_prefabs_add"}},
                  {T{"Resources"}},
                  {T{"100 Drone Prefabs Added"}},
                  "UI/Icons/Notifications/new_deposit.tga",
                  nil,
                  {expiration=1000})
              )
            end
        }
    })
end

-- Call init at the right time
function OnMsg.DataLoaded()
    InitCheats()
end
if not FirstLoad then
    InitCheats()
end
